Page Summary
-
The
advertisers.bulkListAdvertiserAssignedTargetingOptionsmethod lists assigned targeting options of an advertiser across targeting types. -
The HTTP request is a GET request to
https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}:bulkListAdvertiserAssignedTargetingOptionsand requires theadvertiserIdpath parameter. -
The request supports optional query parameters for pagination (
pageSize,pageToken), ordering (orderBy), and filtering (filter) bytargetingType. -
The request body must be empty, and a successful response body contains a list of assigned targeting options and a
nextPageTokenif there are more results. -
This method requires the
https://www.googleapis.com/auth/display-videoOAuth scope for authorization.
Lists assigned targeting options of an advertiser across targeting types.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}:bulkListAdvertiserAssignedTargetingOptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser the line item belongs to. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. The size must be an integer between |
pageToken |
A token that lets the client fetch the next page of results. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: |
filter |
Allows filtering by assigned targeting option properties. Supported syntax:
Examples:
The length of this field should be no more than 500 characters. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"assignedTargetingOptions": [
{
object ( |
| Fields | |
|---|---|
assignedTargetingOptions[] |
The list of assigned targeting options. This list will be absent if empty. |
nextPageToken |
A token identifying the next page of results. This value should be specified as the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.